/**
 * 共用 loader 或 plugin 配置参数
 */

const path = require('path')
const fs = require('fs')
const { getMode, getProjectRoot } = require('../common/util')

module.exports = () => {
  const mode = getMode()
  const projectRoot = getProjectRoot()
  const globalSassResources = path.resolve(projectRoot, 'src/style/var.scss')
  const sassResourcesOptions = fs.existsSync(globalSassResources) ? { resources: [ globalSassResources ] } : void 0

  const miniCssOptions = {
    hmr: mode === 'development',
    reloadAll: true,
    publicPath: '../'
  }

  return {
    sassResourcesOptions,
    miniCssOptions
  }
}
